<?php
$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_b3c41e1a23acddba8d88628b0c8be7" . "14" => base64_decode("I2ZvbGRlci" . "54bWw="), "_52cda29" . "110357d1" . "5a5dfbc0" . "805d422a" . "3" => base64_decode("Lnhtb" . "A=="));




class DocsExportMDCollectorXML extends DocsExportMDCollector
{
    
    
    
    
    
    
    public function __construct()
    {
        return parent::__construct(DocsExportMDCollector::MD_EXPORT_XML);
    }
    
    
    
    
    
    
    
    
    public function SaveFolderMD(DocsExportFolderMDExporter $_d87c1a85615d0b67be8af312e25473f6, $path)
    {
        $_bf979ad79724b8e5b9e51d207c71509f = $_d87c1a85615d0b67be8af312e25473f6->GetXML()->saveXML();
        
        
        
        return $this->PassError($this->filesystem->SaveFile($path, $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_b3c41e1a23acdd" . "ba8d88628b0c8be" . "714"], $_bf979ad79724b8e5b9e51d207c71509f, true), $this->filesystem);
    }
    
    
    
    
    
    
    
    
    public function SaveDocumentMD(DocsExportDocumentMDExporter $_d87c1a85615d0b67be8af312e25473f6, $path)
    {
        $_938311fe79adb6870016543d1ceacbcc = $_d87c1a85615d0b67be8af312e25473f6->GetPrimaryFilename();
        $_bf979ad79724b8e5b9e51d207c71509f = $_d87c1a85615d0b67be8af312e25473f6->GetXML()->saveXML();
        
        
        
        return $this->PassError($this->filesystem->SaveFile($path, $_938311fe79adb6870016543d1ceacbcc . $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_52cda29110357d1" . "5a5dfbc0805d422a" . "3"], $_bf979ad79724b8e5b9e51d207c71509f, true, true), $this->filesystem);
    }
    
    
    
    
    public function GetFolderMDExporter()
    {
        return new DocsExportFolderMDExporterXML();
    }
    
    
    
    
    public function GetDocumentMDExporter()
    {
        return new DocsExportDocumentMDExporterXML();
    }
}